<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');


// check
	if (!$_POST['mb_id'] || !$_POST['mb_name'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$mb_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB[MAIL_BOX] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_name='" . $_POST['mb_name'] . "' AND mb_id != '" . $_POST['mb_id'] . "'");
	if ($mb_cnt > 0)
		msg("이미 존재하는 편지함 이름입니다.\\n\\n다른 이름을 사용하여 주십시오.");


// data
	to_db_str(&$_POST['mb_id'], 5);
	to_db_str(&$_POST['mb_name'], 20);

	$sql = "
		UPDATE
			" . $TB[MAIL_BOX] . "
		SET
			mb_name='" . $_POST['mb_name'] . "',
			mb_saveday='" . $_POST['mb_saveday'] . "',
			mb_sort='" . $_POST['mb_sort'] . "'
		WHERE
			m_no='". $AUTH['auth_m_no'] . "' 
			AND mb_id='" . $_POST['mb_id'] . "'
		";
	db_query($sql);
	


// end
	#msg("편지함이 수정되었습니다.", 0);
	movepage('mail_box.php');


require_once('include/global_end.php');
?>